aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/busybox/slingbox-1.3.1/slingbox.patch
blob: d0af78596af64c964bdf9345e270dbb29be82e12 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
--- busybox-1.3.1.orig/applets/install.sh	2006-12-26 22:56:43.000000000 -0600
+++ busybox-1.3.1/applets/install.sh	2006-12-29 22:47:42.000000000 -0600
@@ -39,8 +39,8 @@
 	done
 fi
 
-if [ "$cleanup" = "1" ] && [ -e "$prefix/bin/busybox" ]; then
-	inode=`ls -i "$prefix/bin/busybox" | awk '{print $1}'`
+if [ "$cleanup" = "1" ] && [ -e "$prefix/bin/slingbox" ]; then
+	inode=`ls -i "$prefix/bin/slingbox" | awk '{print $1}'`
 	sub_shell_it=`
 	cd "$prefix"
 	for d in usr/sbin usr/bin sbin bin ; do
@@ -54,28 +54,28 @@
 	`
 fi
 
-rm -f $prefix/bin/busybox || exit 1
+rm -f $prefix/bin/slingbox || exit 1
 mkdir -p $prefix/bin || exit 1
-install -m 755 busybox $prefix/bin/busybox || exit 1
+install -m 755 busybox $prefix/bin/slingbox || exit 1
 
 for i in $h ; do
 	appdir=`dirname $i`
 	mkdir -p $prefix/$appdir || exit 1
 	if [ "$2" = "--hardlinks" ]; then
-		bb_path="$prefix/bin/busybox"
+		bb_path="$prefix/bin/slingbox"
 	else
 		case "$appdir" in
 		/)
-			bb_path="bin/busybox"
+			bb_path="bin/slingbox"
 		;;
 		/bin)
-			bb_path="busybox"
+			bb_path="slingbox"
 		;;
 		/sbin)
-			bb_path="../bin/busybox"
+			bb_path="../bin/slingbox"
 		;;
 		/usr/bin|/usr/sbin)
-			bb_path="../../bin/busybox"
+			bb_path="../../bin/slingbox"
 		;;
 		*)
 		echo "Unknown installation directory: $appdir"